---
apiVersion: operator.openshift.io/v1
kind: CSISnapshotController
metadata:
  annotations:
    release.openshift.io/create-only: "true"
  creationTimestamp: "2022-03-08T10:13:53Z"
  generation: 1
  managedFields:
  - apiVersion: operator.openshift.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:release.openshift.io/create-only: {}
      f:spec:
        .: {}
        f:logLevel: {}
        f:managementState: {}
        f:operatorLogLevel: {}
    manager: cluster-version-operator
    operation: Update
    time: "2022-03-08T10:13:53Z"
  - apiVersion: operator.openshift.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:spec:
        f:observedConfig: {}
        f:unsupportedConfigOverrides: {}
      f:status:
        .: {}
        f:conditions: {}
        f:generations: {}
        f:observedGeneration: {}
        f:readyReplicas: {}
    manager: csi-snapshot-controller-operator
    operation: Update
    time: "2022-03-08T10:38:48Z"
  name: cluster
  resourceVersion: "6972"
  selfLink: /apis/operator.openshift.io/v1/csisnapshotcontrollers/cluster
  uid: bcd17182-d423-40bc-bf71-2e5cad9b7268
spec:
  logLevel: Normal
  managementState: Managed
  operatorLogLevel: Normal
status:
  conditions:
  - lastTransitionTime: "2022-03-08T10:38:45Z"
    status: "False"
    type: ManagementStateDegraded
  - lastTransitionTime: "2022-03-08T10:38:48Z"
    status: "True"
    type: PrereqsSatisfied
  - lastTransitionTime: "2022-03-08T10:38:48Z"
    status: "True"
    type: Upgradeable
  - lastTransitionTime: "2022-03-08T10:38:55Z"
    reason: AsExpected
    status: "False"
    type: Progressing
  - lastTransitionTime: "2022-03-08T10:38:55Z"
    status: "True"
    type: Available
  - lastTransitionTime: "2022-03-08T10:38:48Z"
    status: "False"
    type: Degraded
  generations:
  - group: apps
    hash: ""
    lastGeneration: 1
    name: csi-snapshot-controller
    namespace: openshift-cluster-storage-operator
    resource: deployments
  observedGeneration: 1
  readyReplicas: 1
